Post Go back to editing

TMC2240 EVA KIT

Category: Hardware
Product Number: TMC2240

I purchase the TMC2240 EVA KIT and after installing PMCL-IDE software I get : Fount 1 PIDs : VID_2A3C&PID_0700 : Driver not found and the software abort... Have a look to the screenshot.  Thanks for help

Parents
  • Hi, I mentioned this in a different post. Have you loaded the newest firmware from https://github.com/trinamic/TMC-EvalSystem/releases. ? this could solve the problem.

    Best
    Fabian

  • Hello Fabian,

    I reinstall tmclide v3.9 and get the same message and an abort, this WITHOUT any eval kit connected.

    When I connect the eval kit with and without the tmc2240 board : the same !

    I am in windows 8 , 2012

    I tried to install the v3.6 (witch support my tmc2240 board) but I am unable to find the corresponding download on your site.

    Regards,

    Alain

  • Hey as I mentioned before, you need to get the correct FIRMWARE from the Trinamic github page.

    1. Go to: https://github.com/trinamic/TMC-EvalSystem/releases
    2. Download the latest firmware release
    3. Install it in the TMCL-IDE


    I had the same issue since the TMCL-IDE states to get the firmware from the website.
    This is my original Post TMC2300-EVAL-KIT missing firmware

    sadly, ADI did not update their website to reflect that.


  • Hi Fabian,

    Thank you for the very fast answer !

    I’ve downloded the last firmware from githut BUT I still remain unable to start correctely tmcl-ide.exe because the software dont found any device/module as I said. 
    On my eval kit the green led “status” is blinking.

    It seem the usb driver for the kit is missing…

    I don’t understand why this is so complicated : I installed a lot of eval boards without any problem of driver and they still work fine.

    Very sorry to spend your time but I am sad with this board and I need to test the tmc2240 since months.

    Regrds,

    Alain

  • Hey,
    since I had through the same hoops to achieve what should be pretty easy.
    The problem is not the TMCL-IDE it is the board that does not have the correct firmware on it.
    This is how I did it.

    1. Go go https://github.com/trinamic/TMC-EvalSystem/releases/tag/3.09.6 and download the hex file. I think it should be LandungsbrueckeV3_v3.09.6_BL.hex
    2. Your board has to be attached to allow flashing a new hex file to it.
    3. Open your tmcl-ide and click on "firmware update" at the top right.

    [tmcl-ide-hex.png](https://postimg.cc/rzbSX098)

    https://postimg.cc/rzbSX098
    choose the Module, and select the firmware version to update.

    This should do the trick.

    Hope it helped,

    Best

  • The Trinamic EVAL system consists of a base-board called Landungsbruecke and the EVAL Board that has the motor driver on it. I am referring to the Landungsbruecke itself and not to the EVAL board.

    The problem is, that the firmware on the board that needs to be updated.
    In the TMCL-IDE: Check the firmware version of your Landungsbruecke board, this should show up on the left side under Connected devices. If it is not v3.09 an update might be needed.

    1. Go to https://github.com/trinamic/TMC-EvalSystem/releases/tag/3.09.6 and get the latest release. Depending on the revision of your Landungsbruecke, download the Hex file.To see what file version is needed, take a look at the top-mark of the processor chip on the Landungsbruecke.

    • If the top-mark is "MK20DN256VLL10", you should use the newest "Small" version of Landungsbruecke firmware (example: LandungsbrueckeSmall_v3.09.2_BL.hex).
    • If the top-mark is "MK20DN512VLL10", you should use the non-small version of Landungsbruecke firmware (example: Landungsbruecke_v3.09.2_BL.hex).


    2. Click on Firmware Update in the upper right band. (it is the green arrow down)

    3. Upload the hex file to the Board

    If all works, the Landungsbruecke should have the latest v3.09 Firmware Version installed.

    Best
    Fabian

  • Thanks Fabian,

    I understant well but to upgrade firmware I NEED TO SEE THE DEVICE and I don’t see my board because driver is not unstalled.

    I just need where to find the USB driver and ONLY after I will be able to upgrade firmware

    Regards and thank you for your time

  • ah, I see. Sorry for the missunderstanding.

    I don’t understand why this is so complicated : I installed a lot of eval boards without any problem of driver and they still work fine.

    I thought that the Landungsbrücke is detected in the IDE since you said that you already worked with it.

    I doubt that's an issue with the IDE then, have you checked if it is running with newer widows? Win 8 is pretty outdated!

    For testing, I installed the TMCL-IDE on a win11 machine and attached the "Landungsbrücke", it got detected without issue

  • Thanks Fabian,

    I will try with a recent windows version.

    By the way I tried with a rpi pi 5 as followed :

    $ python3 FirmwareUpdate.py LandungsbrueckeV3_v3.09.5.BL.hex

    and get the following returns: 

    pytrinamic - TRINAMIC’s Python Technology Access Package

    Openning hex file (Landun…)

    Connecting

    Switching to bootloader mode

    Reconnecting

    ERROR:root:GetVersion returned invalid answer ()

    Regards

    Alain

  • Hi Fabian,

    I intalled tmcl-ide v3.0.7 and it works fine with my eval kit :

    And may kit is not detected with tmcl-ide v3.9.0 :

    So I think that's an issue with this 3.9.0 version.

    I bought this kit BECAUSE it is specified in the TMC2240 Eval-KIT datasheet last version of TMCL-IDE is supported with windows 8 !

    For several reasons I can't migrate to a recent windows version with this application.

    I'm a bit disapointed ...

    Also with 3.0.7 version I cannot upgrade the firmware and I get the same message than with the previous message :

    Could you help me again (AD seems to not update their Trinamic website correctly) ?

    Regards,

    Alain

Reply
  • Hi Fabian,

    I intalled tmcl-ide v3.0.7 and it works fine with my eval kit :

    And may kit is not detected with tmcl-ide v3.9.0 :

    So I think that's an issue with this 3.9.0 version.

    I bought this kit BECAUSE it is specified in the TMC2240 Eval-KIT datasheet last version of TMCL-IDE is supported with windows 8 !

    For several reasons I can't migrate to a recent windows version with this application.

    I'm a bit disapointed ...

    Also with 3.0.7 version I cannot upgrade the firmware and I get the same message than with the previous message :

    Could you help me again (AD seems to not update their Trinamic website correctly) ?

    Regards,

    Alain

Children
  • Hard to say how to tackle this problem.

    Well, that is interesting, but I cannot tell if the TMCL-IDE version is the problem here. That is beyond my scope.
    From your Images:
    The first shows that the LANDUNGSBRUECKE is on firmware version 3.07. And connected via USB
    The last image shows the Landungsbruecke as attached to COM and not the USB port.

    I would suggest connecting it via USB.

    Take a look at the top-mark of the processor chip on the Landungsbruecke.
    If the top-mark is "MK20DN256VLL10", you should use the newest "Small" version of Landungsbruecke firmware (example: LandungsbrueckeSmall_v3.09.2_BL.hex).
    If the top-mark is "MK20DN512VLL10", you should use the non-small version of Landungsbruecke firmware (example: Landungsbruecke_v3.09.2_BL.hex).

    See if you can solve the problem.